Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 911697 - dev-python/bleach-6.0.0 fails tests (PYTHON-3.12-SYSTEM): AssertionError: assert :foo.com == :foo.com
Summary: dev-python/bleach-6.0.0 fails tests (PYTHON-3.12-SYSTEM): AssertionError: ass...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 921826
  Show dependency tree
 
Reported: 2023-08-04 07:15 UTC by Agostino Sarubbo
Modified: 2024-03-23 19:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,123.19 KB, text/plain)
2023-08-04 07:15 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2023-08-04 07:15:09 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/bleach-6.0.0 fails tests (PYTHON-3.12-SYSTEM).
Discovered on: amd64 (internal ref: python-3.12_tinderbox)

NOTE:
(PYTHON-3.12-SYSTEM) in the summary means that the bug was found on a machine that runs python-3.12 but this bug MAY or MAY NOT BE related to the new python version
Comment 1 Agostino Sarubbo gentoo-dev 2023-08-04 07:15:11 UTC
Created attachment 866998 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2023-08-04 07:15:12 UTC
Error(s) that match a know pattern in addition to what has been reported in the summary:


-expected8]
E           AssertionError: assert ':foo.com   ' == '   :foo.com   '
E           AssertionError: assert 'foo.com  ' == ' foo.com  '
FAILED tests/test_parse_shim.py::test_urlparse[	   :foo.com   
FAILED tests/test_parse_shim.py::test_urlparse[ foo.com  -expected9] - Assert...
SKIPPED [1] tests/test_css.py:5: could not import 'tinycss2': No module named 'tinycss2'
Comment 3 jy6x2b32pie9 2024-03-23 19:00:50 UTC
Bleach 6.1.0 is in portage, with Python-3.12 support from upstream. I think this bug is obsolete and should be closed.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-03-23 19:27:31 UTC
(In reply to jy6x2b32pie9 from comment #3)
> Bleach 6.1.0 is in portage, with Python-3.12 support from upstream. I think
> this bug is obsolete and should be closed.

Thanks!